#include "tooldialog.h"

#include <QFileDialog>
#include <QPushButton>


ToolDialog::ToolDialog(QWidget *parent)
    :QDialog(parent)
{
    setupUi(this);

    buttonBox->button(QDialogButtonBox::Ok)->setText(tr("&OK"));
    buttonBox->button(QDialogButtonBox::Cancel)->setText(tr("&Cancel"));
}

/* --------------------------------------------------------------------- */

void ToolDialog::on_browse_clicked()
{
    const QString file = QFileDialog::getOpenFileName(this, tr("Find external tool executable"), command->text());

    if (!file.isEmpty())
    {
        command->setText(QString("\"%1\" \"%s\"").arg(file));

        if (name->text().isEmpty())
        {
            name->setText(QFileInfo(file).baseName());
        }
    }
}
